wxPosition Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxPosition Class Reference
Class List by Category » Data Structures

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/position.h>`

## Detailed Description

This class represents the position of an item in any kind of grid of rows and columns such as wxGridBagSizer, or wxHVScrolledWindow.

##

Library: wxBase
Category: Data Structures

See also
  wxPoint, wxSize

## Public Member Functions
| wxPosition ()
| Construct a new wxPosition, setting the row and column to the default value of (0, 0).
| wxPosition (int row, int col)
| Construct a new wxPosition, setting the row and column to the value of (row, col).
int | GetCol () const
| A synonym for GetColumn().
int | GetColumn () const
| Get the current row value.
int | GetRow () const
| Get the current row value.
void | SetCol (int column)
| A synonym for SetColumn().
void | SetColumn (int column)
| Set a new column value.
void | SetRow (int row)
| Set a new row value.
Miscellaneous operators
bool | operator== (const wxPosition &pos) const
bool | operator!= (const wxPosition &pos) const
wxPosition & | operator+= (const wxPosition &pos)
wxPosition & | operator-= (const wxPosition &pos)
wxPosition & | operator+= (const wxSize &size)
wxPosition & | operator-= (const wxSize &size)
wxPosition | operator+ (const wxPosition &pos) const
wxPosition | operator- (const wxPosition &pos) const
wxPosition | operator+ (const wxSize &size) const
wxPosition | operator- (const wxSize &size) const

## Constructor & Destructor Documentation

## ◆ wxPosition() [1/2]

wxPosition::wxPosition | ( |  | ) |

Construct a new wxPosition, setting the row and column to the default value of (0, 0).

## ◆ wxPosition() [2/2]

wxPosition::wxPosition | ( | int | row,
|  | int | col )

Construct a new wxPosition, setting the row and column to the value of (row, col).

## Member Function Documentation

## ◆ GetCol()

int wxPosition::GetCol | ( |  | ) | const

A synonym for GetColumn().

## ◆ GetColumn()

int wxPosition::GetColumn | ( |  | ) | const

Get the current row value.

## ◆ GetRow()

int wxPosition::GetRow | ( |  | ) | const

Get the current row value.

## ◆ operator!=()

bool wxPosition::operator!= | ( | const wxPosition & | pos | ) | const

## ◆ operator+() [1/2]

wxPosition wxPosition::operator+ | ( | const wxPosition & | pos | ) | const

## ◆ operator+() [2/2]

wxPosition wxPosition::operator+ | ( | const wxSize & | size | ) | const

## ◆ operator+=() [1/2]

wxPosition & wxPosition::operator+= | ( | const wxPosition & | pos | ) |

## ◆ operator+=() [2/2]

wxPosition & wxPosition::operator+= | ( | const wxSize & | size | ) |

## ◆ operator-() [1/2]

wxPosition wxPosition::operator- | ( | const wxPosition & | pos | ) | const

## ◆ operator-() [2/2]

wxPosition wxPosition::operator- | ( | const wxSize & | size | ) | const

## ◆ operator-=() [1/2]

wxPosition & wxPosition::operator-= | ( | const wxPosition & | pos | ) |

## ◆ operator-=() [2/2]

wxPosition & wxPosition::operator-= | ( | const wxSize & | size | ) |

## ◆ operator==()

bool wxPosition::operator== | ( | const wxPosition & | pos | ) | const

## ◆ SetCol()

void wxPosition::SetCol | ( | int | column | ) |

A synonym for SetColumn().

## ◆ SetColumn()

void wxPosition::SetColumn | ( | int | column | ) |

Set a new column value.

## ◆ SetRow()

void wxPosition::SetRow | ( | int | row | ) |

Set a new row value.